Distributing since 1889 • Employee Owned for Better Service
Your 1st Choice!
Sign In
Quick Search:

Shopping Cart Cart |  My Account |  View Printable Page Print
Product Detail

Essentials of Perioperative Nursing. Text with CD-ROM for Windows and Macintosh

Spry, Cynthia RN, MA, MSN, CNOR
Essentials of Perioperative Nursing. Text with CD-ROM for Windows and Macintosh Cover Image
Pricing & Availability
Available: 0
List Price:$179.95

Email this title to a friend Email this title to a friend
Printer friendly version Printer friendly version
Book Information
Edition: 4th
Publisher: Jones & Bartlett Publishing
ISBN: 0-7637-5881-7 (0763758817)
ISBN-13: 978-0-7637-5881-3 (9780763758813)
New Edition: 1-4496-8806-3
Format: Program Instruction
Binding: Softcover
Copyright: 2009
Publish Date: 10/08
Weight: 2.00 Lbs.
Pages: 384
Carton Quantity: 16
Subject Class: NOR (Operating Room Nursing)
Remarks:
A New Edition of this Title is Available
Return Policy: Returns accepted up to 10 months
Contributing Authors: View
 
Class Specifications
Discipline: Nursing
Subject Definition: Perioperative Nursing-Programmed Instruction
NLM Class: WY 18.2
LC Class: RD32.3
Abstract: Essentials of Perioperative Nursing gives any new perioperative nurse a head start on achieving perioperative competency, as well as serving as an excellent refresher for the experienced nurse to test his or her knowledge of fundamental OR practice. This unique resource includes such features as objectives, course outlines, testing tools, and competency checklists. The perfect resource for operating room nurses, nurses studying to become operating room nurses, current operating room nurses needing to refresh and test their knowledge, as well as colleges offering courses in peroperative nursing.

Follow Matthews Book Co. on:
Follow Matthews Book Co. on Twitter

Copyright © 2001-2018 Matthews Book Company - All rights reserved. - 11559 Rock Island Ct., Maryland Heights, MO, 63043 - (800) MED-BOOK
Matthews Privacy Statement | Return Policy This web site is best viewed with: Internet Explorer 5.5+, Firefox 1.5+, and Netscape 6.0+